Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1113)

Unified Diff: build/mac/remove_target_headers

Issue 113652: Added a script to remove headers from the target.... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 11 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: build/mac/remove_target_headers
===================================================================
--- build/mac/remove_target_headers (revision 0)
+++ build/mac/remove_target_headers (revision 0)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+find "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}" -iname '*.h' -delete
+find "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}" -iname 'Headers' -type l -delete
+find "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}" -iname 'Headers' -type d -prune -delete
Mark Mentovai 2009/05/20 18:43:13 80
+
Mark Mentovai 2009/05/20 18:43:13 This blank line isn't really needed.
Property changes on: build/mac/remove_target_headers
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:eol-style
+ LF
« no previous file with comments | « build/common.gypi ('k') | build/mac/tweak_app_infoplist » ('j') | build/mac/tweak_app_infoplist » ('J')

Powered by Google App Engine
This is Rietveld 408576698